Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZImage Member List

This is the complete list of members for eZImage, including all inherited members.

$Caption | eZImage |
$Description | eZImage |
$FileName | eZImage |
$ID | eZImage |
$Keywords | eZImage |
$Name | eZImage |
$NewImage | eZImage |
$OriginalFileName | eZImage |
$PhotographerID | eZImage |
$ReadPermission | eZImage |
$UserID | eZImage |
$WritePermission | eZImage |
__construct( $id="") | eZImage |
articles() | eZImage |
caption( $html=true) | eZImage |
categories() | eZImage |
categoryDefinition() | eZImage |
checkImage(&$file) | eZImage |
checkReadPermission(&$currentUser) | eZImage |
checkWritePermission(&$currentUser) | eZImage |
countUnassigned() | eZImage | static
createWatermark() | eZImage |
delete() | eZImage |
description( $html=true) | eZImage |
existsInCategory( $category) | eZImage |
fileExists( $relative=false) | eZImage |
fileName() | eZImage |
filePath( $relative=false) | eZImage |
forum( $as_object=true) | eZImage |
get( $id="") | eZImage |
getAll() | eZImage |
getByOriginalFileName( $id="") | eZImage | static
getUnassigned( $offset=-1, $limit=-1) | eZImage | static
hasMap() | eZImage |
height() | eZImage |
id() | eZImage |
imageIDFromForum( $ForumID) | eZImage |
imagePath( $relative=false) | eZImage |
isOwner( $user, $image) | eZImage | static
keywords() | eZImage |
name( $html=true) | eZImage |
originalFileName() | eZImage |
photographer( $as_object=true) | eZImage |
products() | eZImage |
randomImage( $categoryID=0) | eZImage | static
readPermission() | eZImage |
requestImageVariation( $width, $height, $convertToGray=false, $allow_error=false) | eZImage |
search(&$queryText, $offset=0, $limit=30, $userID=-1) | eZImage | static
searchCount( $name, $literal=false) | eZImage | static
setCaption( $value) | eZImage |
setCategoryDefinition( $value) | eZImage |
setDescription( $value) | eZImage |
setImage(&$file) | eZImage |
setKeywords( $keywords) | eZImage |
setName( $value) | eZImage |
setOriginalFileName( $value) | eZImage |
setPhotographer( $author) | eZImage |
setReadPermission( $value) | eZImage |
setUser( $user) | eZImage |
setWritePermission( $value) | eZImage |
store() | eZImage |
user() | eZImage |
variations() | eZImage |
watermarkPath( $relative=false) | eZImage |
width() | eZImage |
writePermission() | eZImage |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.